format:
  server: ci.linaro.org
  filename: "@pattern@.html"
  links:
    - tcwg
    - tcwg-bisect
    - CI-TCWG-ARM
    - LNT
    - LNT-ARM
    - "@pattern@"

  summary_table_last_run:
    columns:
      - last_run_date
      - "#success"
      - "#failure"
      - "#regressed"
    lines:
      - anytime
      - last-week
      - 6-days-ago
      - 5-days-ago
      - 4-days-ago
      - 3-days-ago
      - 2-days-ago
      - 1-days-ago
      - 0-days-ago

  summary_table_all_runs:
    columns:
      - last_run_date
      - "#success"
      - "#failure"
      - "#regressed"
      - "#forced"
      - "#reducing"
      - "#aborted"
    lines:
      - anytime
      - last-week
      - 6-days-ago
      - 5-days-ago
      - 4-days-ago
      - 3-days-ago
      - 2-days-ago
      - 1-days-ago
      - 0-days-ago

  details_table:
    columns:
      - project
      - status
      - last_build
      - notify_verif
      - last_success
      - last_fail
      #- all_runs
      #- last_regressed
      - last_forced
      - artifact_version
      - statistics
      #- last_bisect
      #- useful_links
    lines:
      - "@pattern@.*-build"

pattern:
  - tcwg

  - tcwg_bmk
  - tcwg_bmk-code_size
  - tcwg_bmk-code_size-coremark
  - tcwg_bmk-code_size-spec2k6
  - tcwg_bmk-code_speed
  - tcwg_bmk-code_speed-coremark
  - tcwg_bmk-code_speed-spec2k6
  - tcwg_bmk-code_speed-cpu2017rate
  - tcwg_bmk-code_speed-cpu2017speed
  - tcwg_bmk-fujitsu_speed
  - tcwg_bmk-fujitsu_speed-cpu2017rate
  - tcwg_bmk-sve_speed
  - tcwg_bmk-sve_speed-cpu2017rate
  - tcwg_bmk-vect_speed
  - tcwg_bmk-vect_speed-cpu2017
  - tcwg_bmk-vect_speed-spec2k6

  - tcwg_aosp
  - tcwg_aosp-code_size

  - tcwg_binutils
  - tcwg_binutils_build
  - tcwg_binutils_check

  - tcwg_bootstrap
  - tcwg_bootstrap_build
  - tcwg_bootstrap_check

  - tcwg_gcc
  - tcwg_gcc_build
  - tcwg_gcc_check

  - tcwg_gdb
  - tcwg_gdb_build
  - tcwg_gdb_check

  - tcwg_glibc
  - tcwg_glibc_build
  - tcwg_glibc_check

  - tcwg_gnu
  - tcwg_gnu_embed
  - tcwg_gnu_cross
  - tcwg_gnu_native
  - tcwg_gnu_native_check
  - tcwg_gnu_native_fast_check
  - tcwg_gnu_woa

  - tcwg_kernel
  - tcwg_kernel--gnu
  - tcwg_kernel--llvm

  - tcwg_flang
